Package com.mockobjects.servlet

# Class MockBodyContent

BodyContent
com.mockobjects.servlet.MockBodyContent

All Implemented Interfaces:
  `Verifiable`

public class MockBodyContent extends BodyContent implements Verifiable

## Constructor Summary

Constructors
Constructor
Description
`MockBodyContent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`clearBody()`
`void`
`clearBuffer()`
`void`
`close()`
`boolean`
`equals(Object obj)`
`void`
`flush()`
`int`
`getBufferSize()`
`JspWriter`
`getEnclosingWriter()`
`Reader`
`getReader()`
`int`
`getRemaining()`
`String`
`getString()`
`boolean`
`isAutoFlush()`
`void`
`newLine()`
`void`
`print(boolean b)`
`void`
`print(char c)`
`void`
`print(char[] chars)`
`void`
`print(double v)`
`void`
`print(float v)`
`void`
`print(int i)`
`void`
`print(long l)`
`void`
`print(Object o)`
`void`
`print(String s)`
`void`
`println()`
`void`
`println(boolean b)`
`void`
`println(char c)`
`void`
`println(char[] chars)`
`void`
`println(double v)`
`void`
`println(float v)`
`void`
`println(int i)`
`void`
`println(long l)`
`void`
`println(Object o)`
`void`
`println(String s)`
`void`
`setExpectedWriteOut(Writer aWriter)`
`void`
`setupGetEnclosingWriter(JspWriter aJspWriter)`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.
`void`
`write(char[] cbuf)`
`void`
`write(char[] cbuf, int off, int len)`
`void`
`write(int c)`
`void`
`write(String str)`
`void`
`write(String str, int off, int len)`
`void`
`writeOut(Writer aWriter)`

## Constructor Details

### MockBodyContent

public MockBodyContent()

## Method Details

### getBufferSize

public int getBufferSize()

### write

public void write(int c) throws IOException

Throws:
  `IOException`

### flush

public void flush() throws IOException

Throws:
  `IOException`

### isAutoFlush

public boolean isAutoFlush()

### write

public void write(char[] cbuf) throws IOException

Throws:
  `IOException`

### equals

public boolean equals(Object obj)

### clearBody

public void clearBody()

### write

public void write(String str) throws IOException

Throws:
  `IOException`

### setupGetEnclosingWriter

public void setupGetEnclosingWriter(JspWriter aJspWriter)

### getEnclosingWriter

public JspWriter getEnclosingWriter()

### getReader

public Reader getReader()

### newLine

public void newLine() throws IOException

Throws:
  `IOException`

### write

public void write(char[] cbuf, int off, int len) throws IOException

Throws:
  `IOException`

### print

public void print(boolean b) throws IOException

Throws:
  `IOException`

### setExpectedWriteOut

public void setExpectedWriteOut(Writer aWriter)

### writeOut

public void writeOut(Writer aWriter) throws IOException

Throws:
  `IOException`

### print

public void print(char c) throws IOException

Throws:
  `IOException`

### print

public void print(int i) throws IOException

Throws:
  `IOException`

### print

public void print(long l) throws IOException

Throws:
  `IOException`

### print

public void print(float v) throws IOException

Throws:
  `IOException`

### print

public void print(double v) throws IOException

Throws:
  `IOException`

### print

public void print(char[] chars) throws IOException

Throws:
  `IOException`

### print

public void print(String s) throws IOException

Throws:
  `IOException`

### print

public void print(Object o) throws IOException

Throws:
  `IOException`

### println

public void println() throws IOException

Throws:
  `IOException`

### println

public void println(boolean b) throws IOException

Throws:
  `IOException`

### println

public void println(char c) throws IOException

Throws:
  `IOException`

### println

public void println(int i) throws IOException

Throws:
  `IOException`

### println

public void println(long l) throws IOException

Throws:
  `IOException`

### println

public void println(float v) throws IOException

Throws:
  `IOException`

### println

public void println(double v) throws IOException

Throws:
  `IOException`

### println

public void println(char[] chars) throws IOException

Throws:
  `IOException`

### println

public void println(String s) throws IOException

Throws:
  `IOException`

### println

public void println(Object o) throws IOException

Throws:
  `IOException`

### clear

public void clear() throws IOException

Throws:
  `IOException`

### clearBuffer

public void clearBuffer() throws IOException

Throws:
  `IOException`

### close

public void close() throws IOException

Throws:
  `IOException`

### getRemaining

public int getRemaining()

### write

public void write(String str, int off, int len) throws IOException

Throws:
  `IOException`

### getString

public String getString()

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`